Get farm transactions
curl --request GET \
--url https://api.kamino.finance/farms/{farmPubkey}/transactionsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/farms/{farmPubkey}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/farms/{farmPubkey}/transactions"
response = requests.get(url)
print(response.text)false{
"result": [
{
"createdOn": "2023-11-07T05:31:56Z",
"transactionSignature": "2XWcSQVtR4NoHBhzYpDkYkmYtEFkFXC5ZwrKiPok1kvA86GvnN15qP7RNP6eTeNWgJqgnR1GA2M3QPp1hucW7e1v",
"instruction": "deposit",
"tokenAmount": "1234.56789",
"usdAmount": "1234.56789"
}
],
"paginationToken": "<string>"
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Farm Data
Get farm transactions
Get transactions for a specific farm (with pagination).
GET
/
farms
/
{farmPubkey}
/
transactions
Get farm transactions
curl --request GET \
--url https://api.kamino.finance/farms/{farmPubkey}/transactionsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/farms/{farmPubkey}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/farms/{farmPubkey}/transactions"
response = requests.get(url)
print(response.text)false{
"result": [
{
"createdOn": "2023-11-07T05:31:56Z",
"transactionSignature": "2XWcSQVtR4NoHBhzYpDkYkmYtEFkFXC5ZwrKiPok1kvA86GvnN15qP7RNP6eTeNWgJqgnR1GA2M3QPp1hucW7e1v",
"instruction": "deposit",
"tokenAmount": "1234.56789",
"usdAmount": "1234.56789"
}
],
"paginationToken": "<string>"
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Path Parameters
Farm public key
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Query Parameters
Maximum number of results to return (1-1000)
Required range:
1 <= x <= 1000Example:
100
Token for fetching the next page of results
Example:
"eyJsYXN0SWQiOiIxMjM0In0="
Sort order (asc for oldest first, desc for newest first)
Available options:
asc, desc Example:
"desc"